Subject: Community Feedback: IETF Trust Agreement Issues

From: Chris Griffiths <[email-masked]>
Date: Sat, 3 Aug 2013 08:48:08 +0200

IETF Community,

The IETF Trust Trustees would like feedback from the community on several issues:
	- We have received requests that we cannot accommodate and have consulted legal counsel to review our options
	- The trust agreement does not allow the trustees to effectively manage some trust assets 

The Trust was created in December 2005 by the Internet Society and the Corporation for National Research Initiatives (CNRI) for the purpose of "the advancement of education and public interest by acquiring, holding, maintaining and licensing certain existing and future intellectual property and other property used in connection with the Internet standards process and its administration, for the advancement of the science and technology associated with the Internet and related technology."  <http://trustee.ietf.org/docs/IETF-Trust-Agreement-Executed-12-15-05.pdf>  

Issue 1

We have recently been asked permission to republish the TAO with a creative commons license, but according to counsel, the current trust agreement does not give the trustees the rights to do this.

- Without specific language being added to the trust agreement, we cannot grant these types of requests.  
- The current open request for a creative commons license from 6/18/2013 cannot be completed.

Issue 2

We cannot currently accept physical assets like hardware donations into the trust.  Once accepted into the trust, we would be unable to dispose of these items in the future if they are identified as no longer being needed.

- This removes flexibility in managing assets in the trust, and we currently use alternative methods of accepting donations outside of the trust.

Issue 3

Once a domain name or trademark is registered by the trust, it cannot be abandoned even if it is no longer needed.  

- We must maintain these in perpetuity based on legal counsel review of the current language

You can also find the latest trust report that covers these items and was presented at the IETF 87 plenary here:  http://www.ietf.org/proceedings/87/slides/slides-87-iesg-opsplenary-4

Thank you and we look forward to getting your feedback.  

Chris Griffiths
Chair, IETF Trust

---

From: Olaf Kolkman <[email-masked]>
Date: Mon, 5 Aug 2013 13:08:46 +0200

From this mail it is not clear what type of feedback you are looking for. I like your direct question from the slide deck better. There you asked:
> Does the community feel these are reasonable reasons to update the trust agreement? 

The answer to that question is: yes. It seems reasonable to open up the agreement in order to fulfill its purpose in reasonable, effective, and pragmatic ways.

I would expect the trust to come back with a proposal once there seems to be consensus that the the agreement should be opened. My requirement would be that that proposal reflects that the Trust will deal with the assets in a way that is sensible and serves community needs.

Best, and thanks,

--Olaf

PS. As an aside, something that might be helpful for other readers of this thread: The word agreement in "Trust Agreement" might be confusing to the community, but I think that it is important to point out that the agreement can, since July 1, 2010, be modified unilaterally by the trust (see 10.1 for details and boundary conditions).  So except the due diligence that is needed to reflect the communities requirements there is no further negotiation needed with the Settlers.

---

From: Paul Hoffman <[email-masked]>
Date: Mon, 5 Aug 2013 06:09:29 -0700

> I would expect the trust to come back with a proposal once there seems to be consensus that the the agreement should be opened. My requirement would be that that proposal reflects that the Trust wi…

+1

--Paul Hoffman

---

From: Tobias Gondrom <[email-masked]>
Date: Mon, 05 Aug 2013 15:21:01 +0200

+1

Tobias Gondrom

Paul Hoffman <[email-masked]> wrote:
>> The answer to that question is: yes. It seems reasonable to open up
>the agreement in order to fulfill its purpose in reasonable, effective,
>and pragmatic ways.
>> 
>> I would expect the trust to come back with a proposal once there
>seems to be consensus that the the agreement should be opened. My
>requirement would be that that proposal reflects that the Trust will
>deal with the assets in a way that is sensible and serves community
>needs.
>
>
>+1
>
>--Paul Hoffman

-- 
Sent from my Android phone with K-9 Mail. Please excuse my brevity.

---

From: Chris Griffiths <[email-masked]>
Date: Mon, 5 Aug 2013 10:50:26 -0400

>> Does the community feel these are reasonable reasons to update the trust agreement? 

This was my intention Olaf, thank you for the feedback.

> I would expect the trust to come back with a proposal once there seems to be consensus that the the agreement should be opened. My requirement would be that that proposal reflects that the Trust wi…

We will certainly do that once there is consensus on this.

---

From: t.p. <[email-masked]>
Date: Thu, 8 Aug 2013 10:42:49 +0100

Chris

I would not like to see the Trust Agreement change to accommodate issues
one or two - I think that the agreement got that one right.

Three is different.  The Trust ought to be able to dispose of rights
that are not needed, never will be and are costing money.  But how can
that be expressed without giving carte blanche to dispose of everything,
for whatever purposes?  We need a proposal as to how that line would be
drawn - I do not have any sound ideas on this.

Can you indicate what annual or one-off costs we are talking about?  The
domain names I have dealt with have been cheap enough not to be
concerned about, once I found the best way to deal with them, although I
understand that the IETF is operating in a different realm and so may
have costs of a different magnitude.

Tom Petch

----- Original Message -----
From: "Chris Griffiths" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, August 03, 2013 7:48 AM

IETF Community,

The IETF Trust Trustees would like feedback from the community on
several issues:
- We have received requests that we cannot accommodate and have
consulted legal counsel to review our options
- The trust agreement does not allow the trustees to effectively manage
some trust assets

The Trust was created in December 2005 by the Internet Society and the
Corporation for National Research Initiatives (CNRI) for the purpose of
"the advancement of education and public interest by acquiring, holding,
maintaining and licensing certain existing and future intellectual
property and other property used in connection with the Internet
standards process and its administration, for the advancement of the
science and technology associated with the Internet and related
technology."
<http://trustee.ietf.org/docs/IETF-Trust-Agreement-Executed-12-15-05.pdf

Issue 1

We have recently been asked permission to republish the TAO with a
creative commons license, but according to counsel, the current trust
agreement does not give the trustees the rights to do this.

- Without specific language being added to the trust agreement, we
cannot grant these types of requests.
- The current open request for a creative commons license from 6/18/2013
cannot be completed.

Issue 2

We cannot currently accept physical assets like hardware donations into
the trust.  Once accepted into the trust, we would be unable to dispose
of these items in the future if they are identified as no longer being
needed.

- This removes flexibility in managing assets in the trust, and we
currently use alternative methods of accepting donations outside of the
trust.

Issue 3

Once a domain name or trademark is registered by the trust, it cannot be
abandoned even if it is no longer needed.

- We must maintain these in perpetuity based on legal counsel review of
the current language

You can also find the latest trust report that covers these items and
was presented at the IETF 87 plenary here:
http://www.ietf.org/proceedings/87/slides/slides-87-iesg-opsplenary-4

Chris Griffiths
Chair, IETF Trust

---

From: Chris Griffiths <[email-masked]>
Date: Thu, 8 Aug 2013 15:47:11 -0400

> one or two - I think that the agreement got that one right.

Thank you for this feedback.

> drawn - I do not have any sound ideas on this.

I think providing thoughtful language around seeking community feedback and requiring time frames to dispose of items would be needed in this case.

> have costs of a different magnitude.

I agree some domains are not very expensive, however trademarks require legal work for registering and filing for them.  While not huge numbers, we want to raise the issue that keeping these items requires overhead and expense that seems to not be warranted in some cases, and we want to discussed and get feedback on if keeping these and paying for them makes sense.

Thanks

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 09 Aug 2013 08:46:41 +1200

I've been doing some more thinking about this, and I have received
quite a bit of private feedback about my previous comments, ranging
from "don't be so picky, let these guys do their thankless job" to
"please be more picky, this is the thin end of the wedge."

So - this isn't really about being picky, except that a legal agreement
more or less forces us to be picky. Also, I appreciate as much as anybody
that the Trustees are doing a thankless job for the benefit of the
community. But if we look at the three issues together, we have to
also consider *why* the Trust was created in the first place. My summary:
it was created to ensure that the intellectual property important for the
openness of Internet standards could never be alienated or altered
except for the benefit of the community.

I can understand why, in certain circumstances, the community might
agree that some physical property, such as a worn-out pencil sharpener,
should be disposed of, or that a specific piece of intellectual property
might be agreed by the community to no longer important and therefore
could be released by the Trust. The first case is pretty easy and I think
we *could* give the Trustees the authority to dispose of useless
physical property. Intellectual property is much harder, because who
is to judge what's important?

We might reach consensus that it's OK to release change control over
the Tao (although I'm not sure I agree with that - what's so hard about
keeping it under an RFC-like license?). We probably wouldn't reach
consensus to release change control over RFC 791. But who would care
to write down legally sound text drawing the line between those two
extremes?

A couple more comments in line...

>> one or two - I think that the agreement got that one right.

As I said, if the Trust has a worn-out piece of equipment, they should
be able to dispose of it. But this dilemma can be avoided by not
acquiring equipment at all.

> I think providing thoughtful language around seeking community feedback and requiring time frames to dispose of items would be needed in this case.

I note that the Trust Agreement does not explicitly recognise that the
Trustees should follow BCP 101, including aspects such as:

 "To ensure that the IASA is run in a transparent and accountable manner."

 "the IAOC and IAD
  will ensure that guidelines are developed for regular operational
  decision making.  Where appropriate, these guidelines should be
  developed with public input.  In all cases, they must be made public"

If we're going to add something about community feedback to the Trust Agreement
it should probably be more general rather than just for the specific
matter of asset disposal. It's always been understood that the transparency
requirement for the IAOC also applies to the Trust, but to my surprise we
never wrote it down.

> I agree some domains are not very expensive, however trademarks require legal work for registering and filing for them.  While not huge numbers, we want to raise the issue that keeping these items…

There's also the issue that (as I understand it) specific marks like "IETF
Secretariat" may be easier to defend than a more generic mark like plain "IETF".
IANAL.

   Brian

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 8 Aug 2013 14:04:23 -0700

On Aug 8, 2013, at 1:46 PM, Brian E Carpenter <[email-masked]> wrote:

> keeping it under an RFC-like license?).

Nothing is "hard" about it. The question is whether granting a different license will help the goals of the Tao more than the current license. Many people (including me, the current editor) think that a lighter-weight license would get the Tao read by more people.

--Paul Hoffman

---

From: Doug Barton <[email-masked]>
Date: Thu, 08 Aug 2013 14:09:28 -0700

> Nothing is "hard" about it. The question is whether granting a different license will help the goals of the Tao more than the current license. Many people (including me, the current editor) think t…

Can you elaborate on why the license makes a difference?

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 8 Aug 2013 14:17:18 -0700

> Can you elaborate on why the license makes a difference?

We have been told it would make it easier for people to make and distribute translations.

--Paul Hoffman

---

From: Jorge Contreras <[email-masked]>
Date: Thu, 8 Aug 2013 17:21:43 -0400

> We have been told it would make it easier for people to make and distribute translations.

Actually, verbatim translations are already allowed under the existing IETF document license. It's other modifications that are not allowed under IETF, but which CC-BY would permit.

---

From: "John Levine" <[email-masked]>
Date: 8 Aug 2013 21:30:45 -0000

>We have recently been asked permission to republish the TAO with a creative commons
>license, but according to counsel, the current trust agreement does not give the
>trustees the rights to do this.
>

I'm looking at section 9.5 of the trust agreement, and I'm looking at
the CC Attribution-NoDerivs 3.0 license, and I don't see what's in the
CC license that conflicts with the trust agreement.  The TA says that
derivatives belong to the IETF, the CC license says no derivatives, the
TA says that the goodwill belongs to the IETF, the CC license says no
disparaging, which isn't the same thing but leans in the same direction.

If they want a different CC license, that's easy, the answer is no.

http://creativecommons.org/licenses/by-nd/3.0/legalcode

>- We must maintain these in perpetuity based on legal counsel review of the current language

I have more sympathy for this one.  Although the renewal fee for a
domain name is usually trivial, what happens if some third party files
a UDRP challenge to or a lawsuit about a domain name that the IETF is
no longer using?  Do they have to run up legal bills responding to and
fighting it?

For trademarks, the renewal fee is $400 payable 5 years and 10 years
after registration, and every 10 years after that.  But along with the
renewal fee, the registrant has to send in a sworn statement saying
that the mark is still in use in commerce, listing the goods and
services on which it's used, and if requested providing samples.  If
the IETF isn't actually using the mark, what is the trust supposed to
do?  Furthermore, unlike patent or copyrights, a trademark owner has
to police unauthorized use and challenge it legally, or risk losing
the trademark to what's known as genericide.  This is a lot of work
for a trademark you want, and it's absurd for one you don't.

My suggestion would be that the abandonment process take a year,
requiring four quarterly announcements and solicitation of comments to
a public venue such as the IETF general list.  After the year,
considering all responses received, if the trustees believe that there
is consensus to abandon, they do so.

If people are concerned that the trustees would do something silly,
the solution is to pick better trustees, not to make more complex
rules.

R's,
John

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 8 Aug 2013 14:49:47 -0700

> Actually, verbatim translations are already allowed under the existing IETF document license. It's other modifications that are not allowed under IETF, but which CC-BY would permit. 

That sounds right. Someone might want to add commentary (even in English) to the Tao, such as to discuss local participants, diversity, and so on.

--Paul Hoffman

---

From: Yoav Nir <[email-masked]>
Date: Thu, 8 Aug 2013 21:59:30 +0000

> Actually, verbatim translations are already allowed under the existing IETF document license. It's other modifications that are not allowed under IETF, but which CC-BY would permit.

Interesting. What does "verbatim translation" mean?  Word-for-word? There is a reason why searching for "google translate funny" yields 63,000 results. How much would I be allowed to paraphrase and yet keep within the license?

Yoav

---

From: Doug Barton <[email-masked]>
Date: Thu, 08 Aug 2013 15:33:21 -0700

> That sounds right. Someone might want to add commentary (even in English) to the Tao, such as to discuss local participants, diversity, and so on.

It's not at all clear to me why the current license would prohibit that, 
or why the CC license would make it easier or better. As long as the 
commentary is clearly separated from the text of the Tao, there is no 
conflict.

What I'm looking for is a clear statement to the effect of, "We cannot 
do X with the current license because ...; and the CC license would make 
that better because ..."

Doug

---

From: "John Levine" <[email-masked]>
Date: 8 Aug 2013 23:20:00 -0000

>> Actually, verbatim translations are already allowed under the existing IETF
>document license. It's other modifications that are not allowed under IETF, but which
>CC-BY would permit. 
>
>That sounds right. Someone might want to add commentary (even in English) to the Tao,
>such as to discuss local participants, diversity, and so on.

Someone might, or they might rewrite it to say that IETF meetings have
simultaneous translation, and while the IAB is all U.S. greybeards,
the IESG members are chosen to represent the gender and ethnic balance
of the whole world.  Or they might rewrite it to say that the IETF has
corporate members, you have work for one to participate, and all RFCs
are standards.

The CC license says

 You must not distort, mutilate, modify or take other derogatory
 action in relation to the Work which would be prejudicial to the
 Original Author's honor or reputation.

Would those changes be prejudicial to your honor or reputation, or are
they just wrong?  How much are we willing to spend to find out?

It's extremely hard to let just one of the cat's paws out of the bag.
In practice either we have change control or we don't, and I don't see
much sentiment for giving it up to unknown CC users.

On the other hand, if they just want a CC license, it looks to me like
they can use CC BY-ND right now.

R's,
John

---

From: John C Klensin <[email-masked]>
Date: Fri, 09 Aug 2013 14:30:02 -0400

--On Thursday, August 08, 2013 23:20 +0000 John Levine
<[email-masked]> wrote:

>> That sounds right. Someone might want to add commentary (even
>> in English) to the Tao, such as to discuss local
>> participants, diversity, and so on.
> 
> Someone might, or they might rewrite it to say that IETF
> meetings have simultaneous translation, and while the IAB is
> all U.S. greybeards, the IESG members are chosen to represent
> the gender and ethnic balance of the whole world.  Or they
> might rewrite it to say that the IETF has corporate members,
> you have work for one to participate, and all RFCs are
> standards.
>...
> It's extremely hard to let just one of the cat's paws out of
> the bag. In practice either we have change control or we
> don't, and I don't see much sentiment for giving it up to
> unknown CC users.

I have to agree with John Levine about this.  The decision to
move the Tao to a web page didn't change the degree to which we
refer to it as an authoritative document.  As long as we are
going to do that, we need to maintain chance control over
anything pretending to be that document. That view is, IMO,
entirely consistent with the change approval process specified
in RFC 6722.  Also like John, I don't see a problem with CC
BY-ND if someone wants that on some sort of principle.

But I really don't think we should be changing the Trust
agreement in this area unless someone can identify one or more
cases in which there are specific benefits to the IETF from
doing so.  For the reasons above, I don't think the Tao and a CC
license that permits modifications is it.  Indeed, I can more
easily see if for a subset of Independent Stream RFCs rather
than something that the IETF points to as an authority
(disclaimers or not), but we haven't heard a request from the
ISE.

    john

---

From: Carlos Martinez-Cagnazzo <[email-masked]>
Date: Fri, 9 Aug 2013 16:29:59 -0300

Verbatim translation, as I understand from what I hear from my wife (who
works as a professional translator) is where you don't introduce any
semantic changes whatsoever within the reasonable limitations imposed by
the need of mapping between the different languages you're working with.
When translating between European languages this is relatively easy. When
you bring Chinese, Japanese and other Asian languages into the picture, it
gets more complicated.

I think it all boils down to the 'reasonable limitations'. If you give
wings to your poetic flare,  you might get into trouble. If you stick to
the original text, you'll be fine.

This distinction makes more sense when discussing non-technical
translations. In our field, well, there is not a lot of room for poetic
flare.

Cheers!

~Carlos

On Thu, Aug 8, 2013 at 6:59 PM, Yoav Nir <[email-masked]> wrote:

> > Actually, verbatim translations are already allowed under the existing
> IETF document license. It's other modifications that are not allowed under
> IETF, but which CC-BY would permit.
>
> Interesting. What does "verbatim translation" mean?  Word-for-word? There
> is a reason why searching for "google translate funny" yields 63,000
> results. How much would I be allowed to paraphrase and yet keep within the
> license?
>
> Yoav
>
>

-- 
--
=========================
Carlos M. Martinez-Cagnazzo
h <http://cagnazzo.name>ttp://cagnazzo.me
=========================